Comment 1 for bug 1426711

Yepp, I can confirm that ibutils 1.5.7-3 breaks in Ubuntu 14.10, since it links against no-longer-provided libosmvendor.so.3.

The Ubuntu 14.10 version of libopensm5 (3.3.18-1) instead provide libosmvendor.so.4. Making a non-change rebuild against an Ubuntu 14.10 environment makes ibutils link up properly.

The reason for this not being an issue in Ubuntu 15.04 is because its 1.5.7-3build1 verison is the needed rebuild.

@Andreas: In case you want/can test the Ubuntu 14.10 rebuild against actual InfiniBand hardware you can add the https://launchpad.net/~andol/+archive/ubuntu/ibutils PPA. Either that, or directly grab these two debs: https://launchpad.net/~andol/+archive/ubuntu/ibutils/+build/7020816/+files/ibutils_1.5.7-3build0.1%7Eppa_amd64.deb, https://launchpad.net/~andol/+archive/ubuntu/ibutils/+build/7020816/+files/libibdm1_1.5.7-3build0.1%7Eppa_amd64.deb